{% extends '::base.html.twig' %}

{% block title %}Bin - Terminales{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Bin - Terminales</h1>
      <br />
            <a type="button" class="btn btn-primary" href="{{ path('binterminal_new') }}">
                Crear Nueva Terminal
            </a>
      <br /><br />
    <table id="bin" class="table table-bordered table-striped table-condensed">
        <thead class="head_table">
            <tr>
                <th>BIN</th>
                <th>Banco</th>
                <th>Tipo</th>
                <th>Terminal</th>
                <th>Descripcion</th>
                <th>Es debito?</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td>{{ entity.idBin }}</td>
                <td>{{ entity.banco.nombre }}</td>
                <td>{{ entity.TipoTarjeta.descripcion }}</td>
                <td>{{ entity.terminal.descripcion }}</td>
                <td>{{ entity.descripcion }}</td>
                <td>{{ entity.esdebito == 1 ? 'Si' : 'No' }}</td>
                <td>
                        <a type="button" class="btn btn-primary" href="{{ path('binterminal_edit', { 'id': entity.idBin }) }}">Editar</a>

                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
	</div>
    {% endblock %}
    	{% block javascripts %}
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
<script type="text/javascript">  
  $(document).ready(function() {
    $('#bin').dataTable({
		"language":DataTables.languaje.es
			  			});
		
      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#bin_length" ).addClass( "form-inline" );
      $( "#bin_filter" ).addClass( "form-inline" );

} );
</script>
{% endblock %}